Bug 75182 - [MAINTAINER] net/beacon: [SUMMARIZE CHANGES]
Summary: [MAINTAINER] net/beacon: [SUMMARIZE CHANGES]
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pav Lucistnik
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-12-17 10:40 UTC by Janos Mohacsi
Modified: 2005-01-08 15:35 UTC (History)
0 users

See Also:


Attachments
beacon-1.1_1.patch (1.36 KB, patch)
2004-12-17 10:40 UTC, Janos Mohacsi
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Janos Mohacsi 2004-12-17 10:40:27 UTC
Maintainer Update to net/beacon version 1.1 to version 1.1 revision 1

Changes: 
fixes pkg-plist errors.

Generated with FreeBSD Port Tools 0.63

How-To-Repeat: Apply this diff.
Comment 1 Pav Lucistnik freebsd_committer 2004-12-18 15:56:35 UTC
State Changed
From-To: open->feedback

I don't believe the thing you did to perllocal.pod is correct. 
I've seen other ports being tweaked to prevent installation 
of that file at all. Would this patch do? 

--- Net-Multicast-Beacon/Makefile.in.orig       Tue Jul 13 20:56:28 2004 
+++ Net-Multicast-Beacon/Makefile.in    Sat Dec 18 16:52:21 2004 
@@ -300,7 +300,7 @@ 
$(PERL) Makefile.PL MAKEFILE=$@ 

install-data-local: 
-       $(MAKE) -fMakefile.perl install 
+       $(MAKE) -fMakefile.perl pure_install 
clean-local: 
if test -f Makefile.perl; then $(MAKE) -fMakefile.perl realclean; fi 
rm -f Makefile.perl Makefile.perl.old 



Comment 2 Pav Lucistnik freebsd_committer 2004-12-18 15:56:35 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pav

Watch
Comment 3 Mohacsi Janos 2005-01-05 12:53:42 UTC
On Sat, 18 Dec 2004, Pav Lucistnik wrote:

> Synopsis: [MAINTAINER] net/beacon: [SUMMARIZE CHANGES]
>
> State-Changed-From-To: open->feedback
> State-Changed-By: pav
> State-Changed-When: Sat Dec 18 15:56:35 GMT 2004
> State-Changed-Why:
> I don't believe the thing you did to perllocal.pod is correct.
> I've seen other ports being tweaked to prevent installation
> of that file at all. Would this patch do?
>
> --- Net-Multicast-Beacon/Makefile.in.orig       Tue Jul 13 20:56:28 2004
> +++ Net-Multicast-Beacon/Makefile.in    Sat Dec 18 16:52:21 2004
> @@ -300,7 +300,7 @@
>        $(PERL) Makefile.PL MAKEFILE=$@
>
> install-data-local:
> -       $(MAKE) -fMakefile.perl install
> +       $(MAKE) -fMakefile.perl pure_install
> clean-local:
>        if test -f Makefile.perl; then $(MAKE) -fMakefile.perl realclean; fi
>        rm -f Makefile.perl Makefile.perl.old
>
>
>
> Responsible-Changed-From-To: freebsd-ports-bugs->pav
> Responsible-Changed-By: pav
> Responsible-Changed-When: Sat Dec 18 15:56:35 GMT 2004
> Responsible-Changed-Why:
> Watch
>
> http://www.freebsd.org/cgi/query-pr.cgi?pr=75182
>

Yes your patch is the right solution. I copied mine from another perl 
module. Thank you Pav! Should I send new PR? or ?

Regards,


Janos Mohacsi
Network Engineer, Research Associate
NIIF/HUNGARNET, HUNGARY
Key 00F9AF98: 8645 1312 D249 471B DBAE  21A2 9F52 0D1F 00F9 AF98
Comment 4 Pav Lucistnik freebsd_committer 2005-01-05 13:01:54 UTC
Mohacsi Janos p=ED=B9e v st 05. 01. 2005 v 13:53 +0100:

> Yes your patch is the right solution. I copied mine from another perl=20
> module. Thank you Pav! Should I send new PR? or ?

I'll handle it, after the freeze.

--=20
Pav Lucistnik <pav@oook.cz>
              <pav@FreeBSD.org>

Qlzqqlzup> ducks turn up in odd places
otie> as in cartoons.
  -- #angband
Comment 5 Pav Lucistnik freebsd_committer 2005-01-08 15:35:18 UTC
State Changed
From-To: feedback->closed

Committed, thanks!